ABORT(7)

NAME
ABORT - abort the current transaction

SYNOPSIS

ABORT [ WORK | TRANSACTION ]

  INPUTS

None.

  OUTPUTS

ROLLBACK
    Message returned if successful.

WARNING: ROLLBACK: no transaction in progress
    If there is not any transaction currently in progress.

DESCRIPTION

ABORT rolls back the current transaction and causes all the updates made by the transaction to be discarded. This command is identical in behavior to the SQL92 command ROLLBACK, and is present only for historical reasons.

  NOTES

Use COMMIT to successfully terminate a transaction.

USAGE

To abort all changes:

ABORT WORK;

COMPATIBILITY

  SQL92

This command is a PostgreSQL extension present for historical reasons. ROLLBACK is the SQL92 equivalent command.